package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/7/16 15:17
 */
@Getter
@Setter
public class ReBeHosDetailDTO {
    /**
     * 病人住院号
     */
    private String behospitalCode;
    /**
     * 病人姓名
     */
    private String name;
    /**
     * 病历等级
     */
    private String level;
    /**
     * 病历得分
     */
    private Double scoreRes;
    /**
     * 科室编码
     */
    private String behDeptId;
    /**
     * 科室
     */
    private String behDeptName;

    /**
     * 出院日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date leaveHospitalDate;
    /**
     * 入院日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date behospitalDate;
}